Push Notification API

get /endpoints

List endpoints

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Retrieve all notification endpoints for current user

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
typequeryintegernoDevice type: 30=APNS, 40=GCM. Empty for all types. (e.g. 30)

Responses

200 — Successful response

Endpoints List

{
  "data": [
    {
      "id": "551c5f64-a6d8-425d-b89c-581fac1f0144",
      "key": "123456",
      "user_id": "201",
      "type": 30,
      "arn": "arn:aws:sns:us-west-2:048881245029:endpoint/APNS/com.vsee.isos.TeleAssistance/203fd06c-e559-3fba-a47f-87844eca4e6e",
      "created": 1427922788,
      "modified": 1427922788
    },
    {
      "id": "551c6005-83d0-48f0-abfe-59c4ac1f0144",
      "key": "an@vsee.com",
      "user_id": "201",
      "type": 10,
      "created": 1427922949,
      "modified": 1427922949
    }
  ]
}

Machine-readable: OpenAPI JSON